/* tslint:disable */
/* eslint-disable */
/**
 * Coscine Web API
 * Coscine (short for <b>CO</b>llaborative <b>SC</b>ientific <b>IN</b>tegration <b>E</b>nvironment) is the research data management platform for your research project.
 *
 * The version of the OpenAPI document: 2.0
 * Contact: servicedesk@itc.rwth-aachen.de
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */


// May contain unused imports in some cases
// @ts-ignore
import type { DisciplineDto } from './discipline-dto';
// May contain unused imports in some cases
// @ts-ignore
import type { IdentityProviderDto } from './identity-provider-dto';
// May contain unused imports in some cases
// @ts-ignore
import type { LanguageDto } from './language-dto';
// May contain unused imports in some cases
// @ts-ignore
import type { TitleDto } from './title-dto';
// May contain unused imports in some cases
// @ts-ignore
import type { UserEmailDto } from './user-email-dto';
// May contain unused imports in some cases
// @ts-ignore
import type { UserOrganizationDto } from './user-organization-dto';

/**
 * Represents a Data Transfer Object (DTO) for user-related information.
 * @export
 * @interface UserDto
 */
export interface UserDto {
    /**
     * The unique identifier of the user.
     * @type {string}
     * @memberof UserDto
     */
    'id': string;
    /**
     * The display name of the user.
     * @type {string}
     * @memberof UserDto
     */
    'displayName': string;
    /**
     * The given name of the user.
     * @type {string}
     * @memberof UserDto
     */
    'givenName': string;
    /**
     * The family name of the user.
     * @type {string}
     * @memberof UserDto
     */
    'familyName': string;
    /**
     * The email addresses associated with the user.
     * @type {Array<UserEmailDto>}
     * @memberof UserDto
     */
    'emails': Array<UserEmailDto>;
    /**
     * 
     * @type {TitleDto}
     * @memberof UserDto
     */
    'title'?: TitleDto;
    /**
     * 
     * @type {LanguageDto}
     * @memberof UserDto
     */
    'language': LanguageDto;
    /**
     * Indicates if the terms of service are accepted by the user.
     * @type {boolean}
     * @memberof UserDto
     */
    'areToSAccepted': boolean;
    /**
     * The date and time of the latest activity of the user.
     * @type {string}
     * @memberof UserDto
     */
    'latestActivity'?: string | null;
    /**
     * The disciplines associated with the user.
     * @type {Array<DisciplineDto>}
     * @memberof UserDto
     */
    'disciplines': Array<DisciplineDto>;
    /**
     * The organizations associated with the user.
     * @type {Array<UserOrganizationDto>}
     * @memberof UserDto
     */
    'organizations': Array<UserOrganizationDto>;
    /**
     * The identity providers associated with the user.
     * @type {Array<IdentityProviderDto>}
     * @memberof UserDto
     */
    'identities': Array<IdentityProviderDto>;
}

